- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions

# QNetworkDiskCache Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qnetworkdiskcache.h.

`#include <qnetworkdiskcache.h>`

Inheritance diagram for QNetworkDiskCache:
[legend]

List of all members.

## Public Slots
void | clear ()
## Public Member Functions
| QNetworkDiskCache (QObject *parent=0)
| ~QNetworkDiskCache ()
QString | cacheDirectory () const
void | setCacheDirectory (const QString &cacheDir)
qint64 | maximumCacheSize () const
void | setMaximumCacheSize (qint64 size)
qint64 | cacheSize () const
QNetworkCacheMetaData | metaData (const QUrl &url)
void | updateMetaData (const QNetworkCacheMetaData &metaData)
QIODevice * | data (const QUrl &url)
bool | remove (const QUrl &url)
QIODevice * | prepare (const QNetworkCacheMetaData &metaData)
void | insert (QIODevice *device)
QNetworkCacheMetaData | fileMetaData (const QString &fileName) const
## Protected Member Functions
virtual qint64 | expire ()

## Constructor & Destructor Documentation

QNetworkDiskCache | ( | QObject * | parent = `0` | ) | `[explicit]`

~QNetworkDiskCache | ( |  | ) |

## Member Function Documentation

QString cacheDirectory | ( |  | ) | const

Search for all occurrences

void setCacheDirectory | ( | const QString & | cacheDir | ) |

Search for all occurrences

qint64 maximumCacheSize | ( |  | ) | const

Search for all occurrences

void setMaximumCacheSize | ( | qint64 | size | ) |

Search for all occurrences

qint64 cacheSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractNetworkCache.

QNetworkCacheMetaData metaData | ( | const QUrl & | url | ) | `[virtual]`

Search for all occurrences

Implements QAbstractNetworkCache.

void updateMetaData | ( | const QNetworkCacheMetaData & | metaData | ) | `[virtual]`

Search for all occurrences

Implements QAbstractNetworkCache.

QIODevice* data | ( | const QUrl & | url | ) | `[virtual]`

Search for all occurrences

Implements QAbstractNetworkCache.

bool remove | ( | const QUrl & | url | ) | `[virtual]`

Search for all occurrences

Implements QAbstractNetworkCache.

QIODevice* prepare | ( | const QNetworkCacheMetaData & | metaData | ) | `[virtual]`

Search for all occurrences

Implements QAbstractNetworkCache.

void insert | ( | QIODevice * | device | ) | `[virtual]`

Search for all occurrences

Implements QAbstractNetworkCache.

QNetworkCacheMetaData fileMetaData | ( | const QString & | fileName | ) | const

Search for all occurrences

void clear | ( |  | ) | `[virtual, slot]`

Search for all occurrences

Implements QAbstractNetworkCache.

virtual qint64 expire | ( |  | ) | `[protected, virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkdiskcache.h

QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache
QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache QNetworkDiskCache